package com.chelvc.cloud.vehicle.client;

import com.chelvc.cloud.vehicle.client.dto.IncomeRecordDTO;
import com.chelvc.cloud.vehicle.client.param.IncomeRecordModifyParam;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * 收益记录接口
 *
 * @author liude
 * @data 2023/12/31
 */
@FeignClient("vehicle")
public interface IncomeRecordClient {

    /**
     * 新增收益记录
     *
     * @param param 新增参数
     * @return 收益记录主键
     */
    @PostMapping("/incomeRecord/addIncomeRecord")
    Long addIncomeRecord(@RequestBody IncomeRecordModifyParam param);

    /**
     * 查询用户收益
     * @return
     */
    @GetMapping("/incomeRecord/listIncomeRecord")
    List<IncomeRecordDTO> listIncomeRecord();

}
