package com.chelvc.cloud.vehicle.client;


import com.chelvc.cloud.vehicle.client.dto.TeamDTO;
import com.chelvc.cloud.vehicle.client.param.TeamInvitePageParam;
import com.chelvc.cloud.vehicle.client.param.UserInviteParams;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.cloud.openfeign.SpringQueryMap;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient("vehicle")
public interface UserInviteClient {

    @PostMapping("/userInvite/bindInvite")
    void bindInvite(@RequestBody UserInviteParams params);

    @GetMapping(value = "/userInvite/teamList", consumes = MediaType.APPLICATION_JSON_VALUE)
    TeamDTO teamList(@SpringQueryMap TeamInvitePageParam param, @RequestParam("userId") Long userId);

    /**
     * 查看上级用户
     *
     * @param userId
     * @return
     */
    @GetMapping("/userInvite/queryUserByTarget")
    Long queryUserByTarget(@RequestParam("userId") Long userId, @RequestParam("type") Integer type);

    /**
     * 查询用户邀请得用户列表
     *
     * @param param
     * @return
     */
    @GetMapping("/userInvite/inviteList")
    TeamDTO inviteList(@SpringQueryMap TeamInvitePageParam param);
}
