package com.chelvc.cloud.vehicle.client.dto;

import com.chelvc.cloud.vehicle.client.constant.ReserveStatus;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 商家端预约记录信息
 *
 * @author liude
 * @date 2024/6/9
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class MerchantReservationDTO implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 约定时间
     */
    private Date appointTime;

    /**
     * 预约状态
     */
    private ReserveStatus status;

    /**
     * 订单ID
     */
    private Long orderId;

    /**
     * 发起预约的时间
     */
    private Date createTime;
    /**
     *购买的商品详细
     */
    private List<OrderItemDTO> goodItem;
}
