package com.chelvc.cloud.vehicle.server.controller;

import java.util.List;

import com.chelvc.cloud.vehicle.client.dto.CurrencyRecordDTO;
import com.chelvc.cloud.vehicle.client.dto.EarningsDTO;
import com.chelvc.cloud.vehicle.server.service.CurrencyRecordService;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * 收益流水记录表数据模型
 *
 * @author liude
 * @date 2024/03/15
 */
@RestController
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class CurrencyRecordController {

    private final CurrencyRecordService currencyRecordService;

    /**
     * 收益流水记录
     *
     * @return 收益流水记录列表
     */
    @GetMapping("/currencyRecord/listCurrencyRecord")
    public List<CurrencyRecordDTO> listCurrencyRecord(@RequestParam("type") Integer type) {
        return currencyRecordService.listCurrencyRecord(type);
    }

    /**
     * 获取用户得总收益、本周收益、本月收益、可提现金额
     *
     * @return
     */
    @GetMapping("/currencyRecord/getCurrencyRecord")
    public EarningsDTO getCurrencyRecord(@RequestParam("type") Integer type) {
        return currencyRecordService.getCurrencyRecord(type);
    }
}
