package com.chelvc.cloud.vehicle.server.controller;

import com.chelvc.cloud.vehicle.client.dto.DynamicEvaluateRecordDTO;
import com.chelvc.cloud.vehicle.client.param.AddDynamicEvaluateRecordParam;
import com.chelvc.cloud.vehicle.server.service.DynamicEvaluateRecordService;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * 内容评价(点赞/踩)列Service接口
 *
 * @author igl
 * @date 2023-02-25
 */
@RestController
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class DynamicEvaluateRecordController {

    private final DynamicEvaluateRecordService dynamicEvaluateRecordService;

    /**
     * 修改内容评价(点赞/踩)列
     */
    @PostMapping("/dynamicEvaluateRecord/updateRecord")
    public Boolean updateRecord(@RequestBody AddDynamicEvaluateRecordParam param, @RequestParam("userId") Long userId) {
        return dynamicEvaluateRecordService.updateRecord(param, userId);
    }

    @GetMapping("/dynamicEvaluateRecord/queryOperaterType")
    public DynamicEvaluateRecordDTO queryOperaterType(@RequestParam("id") Long id, @RequestParam("userId") Long userId,
                                                      @RequestParam("recordType") Integer recordType) {
        return dynamicEvaluateRecordService.queryOperaterType(id, userId, recordType);
    }
}
