package com.chelvc.cloud.vehicle.server.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.chelvc.cloud.vehicle.client.constant.ArticleStatus;
import com.chelvc.framework.common.model.Platform;
import com.chelvc.framework.common.model.Terminal;
import com.chelvc.framework.database.entity.Entity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;

/**
 * 意见反馈数据模型
 *
 * @author liude
 * @data 2023/1/12
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class FeedBack implements Entity<Long> {
    /**
     * 主键
     */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 标题
     */
    private String title;

    /**
     * 内容
     */
    private String content;

    /**
     * 类型
     */
    private String type;

    /**
     * 联系方式
     */
    private String phone;

    /**
     * 回复评价 1-非常满意 2-满意 3- 一般 4 -较为不满意 5- 很不满意
     */
    private String replyEvaluate;
    /**
     * 状态  1 - 待处理 2- 已处理 3- 已完结
     */
    private String status;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 评价时间
     */
    private Date evaluateTime;
    /**
     * 渠道类型  0- 用户端 1-商家端
     */
    private String channel;
}
